## kpeople 5.113.0

=== debian/changelog ===
kpeople (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:44:47 +0000

kpeople (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:49:41 +0000

kpeople (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:59:23 +0000

=== debian/control ===
Source: kpeople
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.113.0~),
               libkf5coreaddons-dev (>= 5.113.0~),
               libkf5i18n-dev (>= 5.113.0~),
               libkf5itemviews-dev (>= 5.113.0~),
               libkf5widgetsaddons-dev (>= 5.113.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kpeople
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
Rules-Requires-Root: no

Package: libkf5people-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5people5 (<< 5.74), libkpeople3
Replaces: libkf5people5 (<< 5.74), libkpeople3
Description: data files for kpeople
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5people-dev
Section: libdevel
Architecture: any
Depends: libkf5people5 (= ${binary:Version}),
         libkf5peoplebackend5 (= ${binary:Version}),
         libkf5peoplewidgets5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5people-doc (= ${source:Version})
Description: development files for kpeople
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5people-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework providing unified access to contacts aggregated by person (documentation)
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5people5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5peoplebackend5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5peoplewidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: qml-module-org-kde-people
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the QML module.

## kpeople 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
set(KF_DEP_VERSION "5.115.0") # handled by release scripts
project (KPeople VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(ECMGeneratePriFile)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Sql Widgets Qml Quick)

# On non-Apple UNIX DBus integration is required, on Android it does not exist and on other platforms it is optional
if(UNIX AND NOT APPLE)
    if(NOT ANDROID)
        find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    endif()
else()
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} OPTIONAL_COMPONENTS DBus)
endif()

find_package(KF5CoreAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF_DEP_VERSION} CONFIG REQUIRED)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

add_definitions(-DTRANSLATION_DOMAIN=\"kpeople5\")

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5People")

set(kpeople_version_header "${CMAKE_CURRENT_BINARY_DIR}/kpeople_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KPEOPLE
                        VERSION_HEADER "${kpeople_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfigVersion.cmake"
                        SOVERSION 5)

option(ENABLE_EXAMPLES "Build the examples" "ON")

ki18n_install(po)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

add_subdirectory (src)
if (ENABLE_EXAMPLES)
  add_subdirectory(examples)
endif()
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5People_QCH
        FILE KF5PeopleQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PeopleQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PeopleConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(EXPORT KPeopleTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPeopleTargets.cmake NAMESPACE KF5::)
install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(
    FILES ${kpeople_version_header}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople
    COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

add_subdirectory(declarative)
add_subdirectory(widgets)
add_subdirectory(backends)

add_library(KF5People)
add_library(KF5::People ALIAS KF5People)

set_target_properties (KF5People PROPERTIES
    VERSION     ${KPEOPLE_VERSION}
    SOVERSION   ${KPEOPLE_SOVERSION}
    EXPORT_NAME People
)

ecm_qt_declare_logging_category(KF5People
    HEADER kpeople_debug.h
    IDENTIFIER KPEOPLE_LOG
    CATEGORY_NAME kf.people.core
    OLD_CATEGORY_NAMES kf5.kpeople
    DESCRIPTION "kpeople lib"
    EXPORT KPEOPLE
)

target_sources(KF5People PRIVATE
    global.cpp
    metacontact.cpp
    persondata.cpp
    matchessolver.cpp
    match.cpp
    duplicatesfinder.cpp
    personsmodel.cpp
    personpluginmanager.cpp
    personmanager.cpp
    personssortfilterproxymodel.cpp
    resources.qrc
)

target_link_libraries (KF5People
                    PUBLIC
                        Qt${QT_MAJOR_VERSION}::Gui
                    PRIVATE
                        Qt${QT_MAJOR_VERSION}::Sql
                        KF5::I18n
                        KF5::CoreAddons
                        KF5::PeopleBackend
)

if(TARGET Qt${QT_MAJOR_VERSION}::DBus)
    target_link_libraries(KF5People PRIVATE Qt${QT_MAJOR_VERSION}::DBus)
endif()

target_include_directories (KF5People PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/kpeople>"
                                    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KPeople>"
)

if (MSVC)
    set_target_properties (KF5People PROPERTIES
                           OUTPUT_NAME libkpeople
    )
endif (MSVC)

# Install:
install (TARGETS KF5People
         EXPORT KPeopleTargets
         ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(KPeople_CamelCase_HEADERS
    HEADER_NAMES
        PersonData
        PersonPluginManager
        PersonsModel
        PersonsSortFilterProxyModel
        Global
    REQUIRED_HEADERS KPeople_HEADERS
    PREFIX KPeople
)
install (FILES ${KPeople_CamelCase_HEADERS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/KPeople
         COMPONENT Devel
)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kpeople/kpeople_export.h
  ${KPeople_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/kpeople COMPONENT Devel
)

install(FILES personmanager_p.h DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/kpeopleprivate)

generate_export_header(KF5People EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kpeople/kpeople_export.h BASE_NAME KPeople)


if(BUILD_QCH)
    ecm_add_qch(
        KF5People_QCH
        NAME KPeople
        BASE_NAME KF5People
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KPeople_HEADERS}
            ${KPeopleWidgets_QCH_SOURCES}
            ${KPeopleBackend_QCH_SOURCES}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Gui_QCH
            Qt5Widgets_QCH
        BLANK_MACROS
            KPEOPLE_EXPORT
            KPEOPLE_DEPRECATED
            KPEOPLE_DEPRECATED_EXPORT
            KPEOPLEWIDGETS_EXPORT
            KPEOPLEWIDGETS_DEPRECATED
            KPEOPLEWIDGETS_DEPRECATED_EXPORT
            KPEOPLEBACKEND_EXPORT
            KPEOPLEBACKEND_DEPRECATED
            KPEOPLEBACKEND_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

ecm_qt_install_logging_categories(
    EXPORT KPEOPLE
    FILE kpeople.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_pri_file(BASE_NAME KPeople LIB_NAME KF5People DEPS "gui" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if (ANDROID)
    install(FILES KF5People-android-dependencies.xml DESTINATION ${KDE_INSTALL_LIBDIR})
endif()

=== debian/changelog ===
kpeople (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:12:17 +0200

kpeople (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 18 Mar 2024 23:59:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,36 @@
 Source: kpeople
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
-               libkf5coreaddons-dev (>= 5.113.0~),
-               libkf5i18n-dev (>= 5.113.0~),
-               libkf5itemviews-dev (>= 5.113.0~),
-               libkf5widgetsaddons-dev (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
+               libkf5coreaddons-dev (>= 5.115.0~),
+               libkf5i18n-dev (>= 5.115.0~),
+               libkf5itemviews-dev (>= 5.115.0~),
+               libkf5widgetsaddons-dev (>= 5.115.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kpeople
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpeople
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpeople.git
 Rules-Requires-Root: no
 
 Package: libkf5people-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5people5 (<< 5.74), libkpeople3
-Replaces: libkf5people5 (<< 5.74), libkpeople3
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5people5 (<< 5.74), libkpeople3,
+Replaces: libkf5people5 (<< 5.74), libkpeople3,
 Description: data files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -50,7 +50,7 @@
          libkf5peoplewidgets5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5people-doc (= ${source:Version})
+Recommends: libkf5people-doc (= ${source:Version}),
 Description: development files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -65,8 +65,8 @@
 Package: libkf5people-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Description: framework providing unified access to contacts aggregated by person (documentation)
+Depends: ${misc:Depends},
+Description: documentation files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
  .
@@ -126,7 +126,7 @@
 Package: qml-module-org-kde-people
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.

## kpeople 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/backends/CMakeLists.txt ===
add_library(KF5PeopleBackend)
add_library(KF5::PeopleBackend ALIAS KF5PeopleBackend)

set_target_properties(KF5PeopleBackend PROPERTIES
    VERSION     ${KPEOPLE_VERSION}
    SOVERSION   ${KPEOPLE_SOVERSION}
    EXPORT_NAME PeopleBackend
)

target_sources(KF5PeopleBackend PRIVATE
    contactmonitor.cpp
    abstractcontact.cpp
    basepersonsdatasource.cpp
    allcontactsmonitor.cpp
    defaultcontactmonitor.cpp
    abstractpersonaction.cpp
    abstracteditablecontact.cpp
)

target_link_libraries (KF5PeopleBackend
                    PUBLIC
                        Qt${QT_MAJOR_VERSION}::Widgets #needed for QAction, otherwise QtGui
)

target_include_directories (KF5PeopleBackend PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
                                    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KPeople>"
)

install (TARGETS KF5PeopleBackend
         EXPORT KPeopleTargets
         ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(KPeopleBackend_CamelCase_HEADERS
    HEADER_NAMES
        AbstractContact
        AbstractEditableContact
        AbstractPersonAction
        AllContactsMonitor
        BasePersonsDataSource
        ContactMonitor
    REQUIRED_HEADERS KPeopleBackend_HEADERS
    PREFIX KPeopleBackend
)
install (FILES ${KPeopleBackend_CamelCase_HEADERS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/KPeopleBackend
         COMPONENT Devel
)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kpeoplebackend/kpeoplebackend_export.h
  ${KPeopleBackend_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/kpeoplebackend COMPONENT Devel
)

generate_export_header(KF5PeopleBackend EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kpeoplebackend/kpeoplebackend_export.h BASE_NAME KPeopleBackend)

# make available to ecm_add_qch in parent folder
set(KPeopleBackend_QCH_SOURCES ${KPeopleBackend_HEADERS} PARENT_SCOPE)

=== debian/changelog ===
kpeople (5.116.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Re-enable build-time tests, switch test dependency from dbus-x11 to
    dbus-daemon. (Closes: #1117075)

  [ Pino Toscano ]
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Remove an obsolete maintscript entry.
  * CI: update/simplify configuration.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Drop the unused ${shlibs:Depends} substvar from libkf5people-data.
  * Disable the parallel execution for dh_auto_test to see whether it makes the
    test suite more stable.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Nov 2025 12:15:43 +0100

kpeople (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:41:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,31 +4,33 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
+               dbus-daemon <!nocheck>,
+               dh-sequence-kf5,
+               dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5itemviews-dev (>= 5.115.0~),
-               libkf5widgetsaddons-dev (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5itemviews-dev (>= 5.116.0~),
+               libkf5widgetsaddons-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
-               pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kpeople
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpeople
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpeople.git
-Rules-Requires-Root: no
 
 Package: libkf5people-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Breaks: libkf5people5 (<< 5.74), libkpeople3,
 Replaces: libkf5people5 (<< 5.74), libkpeople3,
 Description: data files for kpeople

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a dbus-run-session dh_auto_test --no-parallel

## kpeople 5.116.0+p24.04+vstable+git20251015.0831

=== debian/changelog ===
kpeople (5.116.0+p24.04+vstable+git20251015.0831-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:31:13 +0000

kpeople (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:42:58 +1000

kpeople (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:38:07 +0000

kpeople (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:27:21 +0000

kpeople (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:06:35 +0000

kpeople (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:49:08 +0000

kpeople (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 13:47:34 +0000

kpeople (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:29:58 +0000

kpeople (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 05:07:42 +0000

kpeople (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:14:01 +0000

kpeople (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:45:05 +0000

kpeople (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:02:38 +0000

## kpeople 5.116.0+p24.04+vstable+git20251020.0600

=== debian/changelog ===
kpeople (5.116.0+p24.04+vstable+git20251020.0600-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:00:41 +0000

## kpeople 5.116.0+p24.04+vstable+git20251231.0124

=== debian/changelog ===
kpeople (5.116.0+p24.04+vstable+git20251231.0124-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:24:06 +0000

=== debian/control ===
Source: kpeople
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5itemviews-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kpeople
Vcs-Git: https://invent.kde.org/neon/kde/kpeople.git
Vcs-Browser: https://invent.kde.org/neon/kde/kpeople
Maintainer: Neon CI <neon@kde.org>

Package: libkf5people-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpeople3
Replaces: libkpeople3
Description: data files for kpeople
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5people-dev
Section: libdevel
Architecture: any
Depends: libkf5people5 (= ${binary:Version}),
         libkf5peoplebackend5 (= ${binary:Version}),
         libkf5peoplewidgets5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5people-doc (= ${source:Version})
Breaks: libkf5people-doc (<< 5.61.90-0)
Replaces: libkf5people-doc (<< 5.61.90-0)
Description: development files for kpeople
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5people-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework providing unified access to contacts aggregated by person (documentation)
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5people5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5people-data (<< 5.53.0)
Replaces: libkf5people-data (<< 5.53.0)
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5peoplebackend5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5peoplewidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: qml-module-org-kde-people
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to our contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the QML module.

## kpeople 5.116.0+p24.04+vstable+git20260122.1256

=== debian/changelog ===
kpeople (5.116.0+p24.04+vstable+git20260122.1256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:56:46 +0000

## kpeople 5.116.0+p24.04+vstable+git20260131.1256

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})

=== debian/changelog ===
kpeople (5.116.0+p24.04+vstable+git20260131.1256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:56:55 +0000

## kpeople 5.116.0+p24.04+vunstable+git20251124.0753

=== debian/changelog ===
kpeople (5.116.0+p24.04+vunstable+git20251124.0753-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 07:53:47 +0000

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kpeople-([\d.]+)\.tar\.xz

## kpeople 5.116.0+p24.04+vunstable+git20260105.1214

=== debian/changelog ===
kpeople (5.116.0+p24.04+vunstable+git20260105.1214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:14:20 +0000

## kpeople 5.116.0+p24.04+vunstable+git20260123.0311

=== debian/changelog ===
kpeople (5.116.0+p24.04+vunstable+git20260123.0311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:11:04 +0000

## kpeople 5.116.0+p24.04+vunstable+git20260209.0334

=== debian/changelog ===
kpeople (5.116.0+p24.04+vunstable+git20260209.0334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 03:34:11 +0000
